From 2bc941d3121b8c426b801a3cfc7938efa5d7e722 Mon Sep 17 00:00:00 2001
From: Andreas Grapentin <andreas@grapentin.org>
Date: Feb 23 2023 18:01:02 +0000
Subject: [PATCH 18/33] netpbm: updated and rebuilt for libtiff.so.6


---

diff --git a/libre/netpbm/PKGBUILD b/libre/netpbm/PKGBUILD
index b8b3ae1..69ad75e 100644
--- a/libre/netpbm/PKGBUILD
+++ b/libre/netpbm/PKGBUILD
@@ -6,8 +6,8 @@
 # - Removed nonfree parts
 
 pkgname=netpbm
-pkgver=10.73.36
-pkgrel=1
+pkgver=10.73.42
+pkgrel=2
 pkgrel+=.parabola1
 pkgdesc="A toolkit for manipulation of graphic images"
 pkgdesc+=", without nonfree parts"
@@ -16,18 +16,18 @@ arch+=('i686' 'armv7h')
 license=('custom' 'BSD' 'GPL' 'LGPL')
 url="http://netpbm.sourceforge.net/"
 depends=('perl' 'libpng' 'libtiff' 'libxml2')
-makedepends=('python2' 'jbigkit' 'subversion')
+makedepends=('jbigkit' 'subversion')
 options=('!makeflags')
 # Get docs with: wget --recursive --relative -nH http://netpbm.sourceforge.net/doc/
 source=(https://downloads.sourceforge.net/project/netpbm/super_stable/$pkgver/netpbm-$pkgver.tgz
         https://sources.archlinux.org/other/packages/netpbm/netpbm-doc-31Jan2014.tar.xz{,.sig}
         netpbm-CAN-2005-2471.patch netpbm-security-code.patch netpbm-security-scripts.patch
         reproducible-man-gzip.patch use-source-date-epoch.patch)
-sha256sums=('93b31b11b003082d5fd4037ae5c768b91ea7330b10247a25086c10b5dd71e445'
+sha256sums=('f1ddaa753d189aa7760a75265b6f7ab96eeedac3e2493ef57227824d058d528c'
             '74bcf840ee643c6917330c382484010cb99c004a3fcf05391bebcac63815acb3'
             'SKIP'
             '991aba7897e0710687369b4e2edfba1397ecd77d62578eac496afbc47b5ca970'
-            '83d75a80ce999d8b69572e54f04c4d220c60b0d09f9e52d3236264535c3bf216'
+            '343a72eb67edb338bc593d823ced770a0fe44c4c1fa4f4ac1934b84da4431579'
             '2c397588d9cba2c40dee55c07713d5e77e0e04245db939fdc1962d7de4cf4a33'
             '8e3efdb4fcbfdc8e9a5c8e9663c7d6b9ecef3a2379ce38d2acc5669c339f6814'
             '68055341833f482c6910a56c2fdfe046978a1a92fd8442a2a9209c82ce3e4d13')
@@ -50,8 +50,8 @@ prepare() {
   patch -p1 < ../netpbm-security-scripts.patch
   patch -p1 < ../reproducible-man-gzip.patch
   patch -p1 < ../use-source-date-epoch.patch
-  sed -i 's|#!/usr/bin/python|#!/usr/bin/python2|' buildtools/makeman
-  sed -i 's|@python|@python2|' buildtools/manpage.mk
+  # sed -i 's|#!/usr/bin/python|#!/usr/bin/python2|' buildtools/makeman
+  # sed -i 's|@python|@python2|' buildtools/manpage.mk
 
   cp config.mk.in  config.mk
   [ "${CARCH}" = 'x86_64' ] && echo 'CFLAGS_SHLIB = -fPIC' >> config.mk
@@ -115,8 +115,9 @@ build() {
   cd $pkgname-$pkgver
   make
   # Generating useful man pages with html doc
-  make MAKEMAN="${srcdir}/$pkgname-$pkgver/buildtools/makeman" USERGUIDE=. \
-    -C ../doc -f "${srcdir}/$pkgname-$pkgver/buildtools/manpage.mk" manpages
+  # TODO: Enable when we have it updated
+  # make MAKEMAN="${srcdir}/$pkgname-$pkgver/buildtools/makeman" USERGUIDE="-v ." \
+  #   -C ../doc -f "${srcdir}/$pkgname-$pkgver/buildtools/manpage.mk" manpages
 }
 
 package() {
@@ -126,8 +127,8 @@ package() {
 # Removing dummy man pages
   rm "${pkgdir}"/usr/share/man/man{1,3,5}/*
 
-  make MAKEMAN="${srcdir}/$pkgname-$pkgver/buildtools/makeman" MANDIR="${pkgdir}/usr/share/man" \
-    -C ../doc -f "${srcdir}/$pkgname-$pkgver/buildtools/manpage.mk" installman
+  # make MAKEMAN="${srcdir}/$pkgname-$pkgver/buildtools/makeman" MANDIR="${pkgdir}/usr/share/man" \
+  #   -C ../doc -f "${srcdir}/$pkgname-$pkgver/buildtools/manpage.mk" installman
 
 # Replace obsolete utility
   echo -e '#!/bin/sh\npamditherbw $@ | pamtopnm\n' > "${pkgdir}/usr/bin/pgmtopbm"
